
<!doctype html>
<html lang="en">

<head>
    <title>Code coverage report for src/components/Svg/Basket.jsx</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../../../prettify.css" />
    <link rel="stylesheet" href="../../../base.css" />
    <link rel="shortcut icon" type="image/x-icon" href="../../../favicon.png" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../../../sort-arrow-sprite.png);
        }
    </style>
</head>
    
<body>
<div class='wrapper'>
    <div class='pad1'>
        <h1><a href="../../../index.html">All files</a> / <a href="index.html">src/components/Svg</a> Basket.jsx</h1>
        <div class='clearfix'>
            
            <div class='fl pad1y space-right2'>
                <span class="strong">0% </span>
                <span class="quiet">Statements</span>
                <span class='fraction'>0/3</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">100% </span>
                <span class="quiet">Branches</span>
                <span class='fraction'>0/0</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">0% </span>
                <span class="quiet">Functions</span>
                <span class='fraction'>0/1</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">0% </span>
                <span class="quiet">Lines</span>
                <span class='fraction'>0/3</span>
            </div>
        
            
        </div>
        <p class="quiet">
            Press <em>n</em> or <em>j</em> to go to the next uncovered block, <em>b</em>, <em>p</em> or <em>k</em> for the previous block.
        </p>
        <template id="filterTemplate">
            <div class="quiet">
                Filter:
                <input oninput="onInput()" type="search" id="fileSearch">
            </div>
        </template>
    </div>
    <div class='status-line low'></div>
    <pre><table class="coverage">
<tr><td class="line-count quiet"><a name='L1'></a><a href='#L1'>1</a>
<a name='L2'></a><a href='#L2'>2</a>
<a name='L3'></a><a href='#L3'>3</a>
<a name='L4'></a><a href='#L4'>4</a>
<a name='L5'></a><a href='#L5'>5</a>
<a name='L6'></a><a href='#L6'>6</a>
<a name='L7'></a><a href='#L7'>7</a>
<a name='L8'></a><a href='#L8'>8</a>
<a name='L9'></a><a href='#L9'>9</a>
<a name='L10'></a><a href='#L10'>10</a>
<a name='L11'></a><a href='#L11'>11</a>
<a name='L12'></a><a href='#L12'>12</a>
<a name='L13'></a><a href='#L13'>13</a>
<a name='L14'></a><a href='#L14'>14</a>
<a name='L15'></a><a href='#L15'>15</a>
<a name='L16'></a><a href='#L16'>16</a>
<a name='L17'></a><a href='#L17'>17</a>
<a name='L18'></a><a href='#L18'>18</a>
<a name='L19'></a><a href='#L19'>19</a>
<a name='L20'></a><a href='#L20'>20</a>
<a name='L21'></a><a href='#L21'>21</a></td><td class="line-coverage quiet"><span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">import "./basket.scss"
import PropTypes from "prop-types";
const Basket =<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >({</span>color, width, height, openBasket})=&gt; {</span>
<span class="cstat-no" title="statement not covered" >    return (</span>
        &lt;svg className="icon-basket" onClick={openBasket} width={width} height={height} viewBox="0 0 16 16" version="1.1" xmlns="http://www.w3.org/2000/svg"&gt;
            &lt;g stroke="none" fill="none" &gt;
                &lt;path
                    d="M15.244,5.084 L13.316,5.084 L12.281,1.447 C12.13,1.13 11.755,1.002 11.443,1.161 L11.372,1.197 C11.061,1.357 10.932,1.743 11.083,2.06 L11.824,5.083 L5.17,5.083 L5.938,2.064 C6.092,1.75 5.965,1.362 5.657,1.199 L5.587,1.163 C5.277,1.001 4.899,1.125 4.745,1.44 L3.672,5.083 L1.782,5.083 C1.382,5.083 1.057,5.385 1.057,5.755 C1.057,5.755 1.381,6.975 1.782,6.975 L2.418,6.975 L2.867,13.652 C2.867,13.652 2.919,14.961 4.98,14.961 L12.001,14.961 C14.146,14.961 14.116,13.625 14.116,13.625 L14.479,6.976 L15.245,6.976 C15.645,6.976 15.97,5.756 15.97,5.756 C15.969,5.386 15.644,5.084 15.244,5.084 L15.244,5.084 Z M4.031,7.031 L2.969,7.031 L2.969,5.969 L4.031,5.969 L4.031,7.031 L4.031,7.031 Z M6.062,12.742 C6.062,13.092 5.811,13.375 5.503,13.375 L5.48,13.375 C5.169,13.375 4.919,13.092 4.919,12.742 L4.919,8.413 C4.919,8.063 5.169,7.781 5.48,7.781 L5.503,7.781 C5.811,7.781 6.062,8.063 6.062,8.413 L6.062,12.742 L6.062,12.742 Z M9.06,12.547 C9.06,12.881 8.823,13.152 8.531,13.152 L8.51,13.152 C8.217,13.152 7.981,12.881 7.981,12.547 L7.981,8.448 C7.981,8.114 8.217,7.844 8.51,7.844 L8.531,7.844 C8.823,7.844 9.06,8.115 9.06,8.448 L9.06,12.547 L9.06,12.547 Z M12.028,12.639 C12.028,12.977 11.783,13.25 11.482,13.25 L11.46,13.25 C11.158,13.25 10.915,12.977 10.915,12.639 L10.915,8.483 C10.915,8.145 11.158,7.872 11.46,7.872 L11.482,7.872 C11.783,7.872 12.028,8.145 12.028,8.483 L12.028,12.639 L12.028,12.639 Z M14.031,7.062 L12.937,7.062 L12.937,5.968 L14.031,5.968 L14.031,7.062 L14.031,7.062 Z"
                    fill={color} className="si-glyph-fill"&gt;&lt;/path&gt;
            &lt;/g&gt;
        &lt;/svg&gt;
    )
}
export default Basket
&nbsp;
<span class="cstat-no" title="statement not covered" >Basket.propTypes = {</span>
    color: PropTypes.string,
    width: PropTypes.string,
    height: PropTypes.string,
    openBasket: PropTypes.func
}</pre></td></tr></table></pre>

                <div class='push'></div><!-- for sticky footer -->
            </div><!-- /wrapper -->
            <div class='footer quiet pad2 space-top1 center small'>
                Code coverage generated by
                <a href="https://istanbul.js.org/" target="_blank" rel="noopener noreferrer">istanbul</a>
                at 2023-01-26T13:05:39.562Z
            </div>
        <script src="../../../prettify.js"></script>
        <script>
            window.onload = function () {
                prettyPrint();
            };
        </script>
        <script src="../../../sorter.js"></script>
        <script src="../../../block-navigation.js"></script>
    </body>
</html>
    